前の記事 TOP 次の記事

2012年03月09日

cucumberで`gem install minitest` and add `gem 'minitest' to you test helper. (RuntimeError) というエラーが出る場合の対処法

Rails 3.1.xでcucumberを実行すると
というエラーが出る。

rake cucumberならこのエラーは出ないが、なぜかcucumberで実行すると出る。
Stack Overflowの質問によると、gem の turn 0.8.3にminitestを要求するバグがあるらしく、とりあえずバージョンを0.8.3以下にすればよいらしい。
group :test do
    gem 'turn', '< 0.8.3'
end
として
bundle install
これで出なくなった。


この広告は前回の更新から一定期間経過したブログに表示されています。更新すると自動で解除されます。


posted by digital-squad at 15:54 | Ruby on Rails / Ruby

前の記事 TOP 次の記事




Powered by Seesaa